aboutsummaryrefslogtreecommitdiffstats
path: root/test/ete
diff options
context:
space:
mode:
authorGary Wu <gary.i.wu@huawei.com>2018-04-17 17:33:07 -0700
committerGary Wu <gary.i.wu@huawei.com>2018-04-17 17:33:07 -0700
commit3e4eede80cb8fad331f819f6fbcad0ccacb87d3f (patch)
treea725da5b1c5c538a7dea7f97afcbb68c00375b52 /test/ete
parentb957878dd1a9e4a3ba88cd607de423df54782404 (diff)
Limit retries waiting for Robot to initialize
Change-Id: I8644cbf25bdab760c8f05109aa7f91e96b8d818d Issue-ID: INT-402 Signed-off-by: Gary Wu <gary.i.wu@huawei.com>
Diffstat (limited to 'test/ete')
-rwxr-xr-xtest/ete/scripts/deploy-onap.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/test/ete/scripts/deploy-onap.sh b/test/ete/scripts/deploy-onap.sh
index 689482c2e..b580351dd 100755
--- a/test/ete/scripts/deploy-onap.sh
+++ b/test/ete/scripts/deploy-onap.sh
@@ -87,7 +87,11 @@ ssh-keygen -R ${ROBOT_IP}
SSH_KEY=~/.ssh/onap_key
-until ssh -o StrictHostKeychecking=no -i ${SSH_KEY} ubuntu@${ROBOT_IP} "sudo docker ps" | grep openecompete_container
-do
- sleep 2m
+for n in $(seq 1 10); do
+ ssh -o StrictHostKeychecking=no -i ${SSH_KEY} ubuntu@${ROBOT_IP} "sudo docker ps" | grep openecompete_container
+ RESULT=$?
+ if [ $RESULT -eq 0 ]; then
+ break
+ fi
+ sleep 2m
done